/**
 * Copyright (c) 2010-2018, Zoltan Ujhelyi, Istvan Rath, Daniel Varro, IncQuery Labs Ltd.
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-v20.html.
 *  * 
 * SPDX-License-Identifier: EPL-2.0
 */
package org.eclipse.viatra.query.patternlanguage.emf.vql;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Callable Relation</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.viatra.query.patternlanguage.emf.vql.CallableRelation#getTransitive <em>Transitive</em>}</li>
 * </ul>
 *
 * @see org.eclipse.viatra.query.patternlanguage.emf.vql.PatternLanguagePackage#getCallableRelation()
 * @model abstract="true"
 * @generated
 */
public interface CallableRelation extends EObject
{
	/**
	 * Returns the value of the '<em><b>Transitive</b></em>' attribute.
	 * The literals are from the enumeration {@link org.eclipse.viatra.query.patternlanguage.emf.vql.ClosureType}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Transitive</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Transitive</em>' attribute.
	 * @see org.eclipse.viatra.query.patternlanguage.emf.vql.ClosureType
	 * @see #setTransitive(ClosureType)
	 * @see org.eclipse.viatra.query.patternlanguage.emf.vql.PatternLanguagePackage#getCallableRelation_Transitive()
	 * @model
	 * @generated
	 */
	ClosureType getTransitive();

	/**
	 * Sets the value of the '{@link org.eclipse.viatra.query.patternlanguage.emf.vql.CallableRelation#getTransitive <em>Transitive</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Transitive</em>' attribute.
	 * @see org.eclipse.viatra.query.patternlanguage.emf.vql.ClosureType
	 * @see #getTransitive()
	 * @generated
	 */
	void setTransitive(ClosureType value);

} // CallableRelation
